Skip to content
API Reference

Service Accounts

Create
client.Organizations.ServiceAccounts.New(ctx, organizationID, params) (*ServiceAccount, error)
POST/organizations/{organization_id}/service-accounts
List
client.Organizations.ServiceAccounts.List(ctx, organizationID, params) (*OrganizationServiceAccountListResponse, error)
GET/organizations/{organization_id}/service-accounts
Retrieve
client.Organizations.ServiceAccounts.Get(ctx, serviceAccountID, params) (*ServiceAccount, error)
GET/organizations/{organization_id}/service-accounts/{service_account_id}
Update
client.Organizations.ServiceAccounts.Update(ctx, serviceAccountID, params) (*ServiceAccount, error)
PATCH/organizations/{organization_id}/service-accounts/{service_account_id}
Delete
client.Organizations.ServiceAccounts.Delete(ctx, serviceAccountID, params) error
DELETE/organizations/{organization_id}/service-accounts/{service_account_id}
ModelsExpand Collapse
type ServiceAccount struct{…}
ID string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
CreatedAt Time

The time the entity was created in utc

formatdate-time
Name string

A name for the entity to be displayed in UI

UpdatedAt Time

The time the entity was mostly recently updated in utc

formatdate-time
Description stringoptional

Optional description of the service account

Permissions map[string, map[string, bool]]optional

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Service AccountsCredentials

Create
client.Organizations.ServiceAccounts.Credentials.New(ctx, serviceAccountID, params) (*OrganizationServiceAccountCredentialNewResponse, error)
POST/organizations/{organization_id}/service-accounts/{service_account_id}/credentials
List
client.Organizations.ServiceAccounts.Credentials.List(ctx, serviceAccountID, params) (*OrganizationServiceAccountCredentialListResponse, error)
GET/organizations/{organization_id}/service-accounts/{service_account_id}/credentials
Retrieve
client.Organizations.ServiceAccounts.Credentials.Get(ctx, credentialID, params) (*ServiceAccountCredential, error)
GET/organizations/{organization_id}/service-accounts/{service_account_id}/credentials/{credential_id}
Update
client.Organizations.ServiceAccounts.Credentials.Update(ctx, credentialID, params) (*ServiceAccountCredential, error)
PATCH/organizations/{organization_id}/service-accounts/{service_account_id}/credentials/{credential_id}
Delete
client.Organizations.ServiceAccounts.Credentials.Delete(ctx, credentialID, params) error
DELETE/organizations/{organization_id}/service-accounts/{service_account_id}/credentials/{credential_id}
ModelsExpand Collapse
type ServiceAccountCredential struct{…}

Service account credential (without secret)

ID string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
ClientID string

The client ID for authentication

CreatedAt Time

The time the entity was created in utc

formatdate-time
Name string

A name for the entity to be displayed in UI

Description stringoptional

Optional description of the credential

LastUsedAt Timeoptional

When the credential was last used

formatdate-time
Permissions map[string, map[string, bool]]optional

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.